		
function search_document(i){
	if ($('#tipe_c').val() != '') {
		$.ajaxblock();
		const formData = new FormData();
		formData.append('numero', $('#tipe_c').val());
		formData.append('action', 'getnumero');
		fetch('https://incared.com/api/apirest',{
			method:'POST', //metodo POST
			body:formData, // datos que se van a  enviar a php 
		
		})// validamos el tipo de metodo y los datos que van por el metodo post muy util el fetch este
		.then(res => res.json()) //Obtenemos la respuesta en formato tipo json
		.then(data => { // obtenemos la  data que nos  viene de  php y luego empezamos la  validaciones 
			if(jQuery.isEmptyObject(data.error)){
	  	    	$("input[name*='nombre']").val(data.rs);
	  	    }else{
	  	    	swal({title:data.error,icon:"warning"});
	  	    }
	  	    $.ajaxunblock();
		});
	}else{
		swal({title:'El campo numero esta vacio',icon:"warning"});
	}
}
function marcar_salida(i){
	$.ajaxblock();
	const formData = new FormData();
	formData.append('id', $(i).data('id'));
	formData.append('action', 'marcar');
	formData.append('_token',$('meta[name="csrf-token"]').attr('content'));
	fetch(url,{
		method:'POST', //metodo POST
		body:formData, // datos que se van a  enviar a php 
	})
	.then(res => res.json()) 
	.then(data => { 
		if(jQuery.isEmptyObject(data.error)){
			$('.datatable').DataTable().ajax.reload();
			swal({title:data.success,icon:"success"});
		}
  	    $.ajaxunblock();
	});
}
let her = $('input[name=herramienta]:checked').val();
if (her =='si') {
	$('.htrabajos').fadeIn(100);
}
$(document).on('change',"#herramienta",function (event) {
	if($(this).val()==='si'){
		$('.htrabajos').fadeIn(100);
	}else{
		$('.htrabajos').fadeOut(100);
		$('.content-htrabajo').html('');
	}
});
let count_htrabajo = 0;
$(document).on('click',"#addherramienta",function (event) {
	count_htrabajo++;
	if (!$(`.content-ht${count_htrabajo}`).length) {
		$('.content-htrabajo').append(`
			<div class="row mt-3 mb-3 content-ht${count_htrabajo}">
				<div class="col-4">
					<label for=""><b>Herramienta de  trabajo</b></label>
					<input type="text" id="htrabajo${count_htrabajo}" name="htrabajo[]" placeholder="herramienta de trabajo " class="form-control">
				</div>
				<div class="col-4">
					<label for=""><b>Marca</b> </label>
					<input type="text" id="mtrabajo${count_htrabajo}" name="mtrabajo[]" placeholder="Marca" class="form-control">
				</div>
				<div class="col-2">
					<label for=""><b>Serial</b></label>
					<input type="text" id="strabajo${count_htrabajo}" name="strabajo[]" placeholder="serial" class="form-control">
				</div>
				<div class="col-2">
					<label><b>Accion</b></label>
					<div>
						<a href="#" id="deleteherramienta" data-id="${count_htrabajo}" style="color:red;" title="Eliminar item"><i style="font-size: 30px;" class="icon-cross3 "></i></a>
					</div>
				</div>
			</div>
		`);
	}
	event.preventDefault();
});

$(document).on('click',"#deleteherramienta",function (event) {
	let id = $(this).data('id')
	$(`.content-ht${id}`).remove();
	count_htrabajo--;
	event.preventDefault();
});


/*
* codigo para  activar camara, tomar imagen y limpiar camara
*/
/*Funciones  para  activar la  camara  web */
var video = document.getElementById('video');
var canvas = document.getElementById('canvas');
var context = canvas.getContext('2d');
var video = document.getElementById('video');

$('.tomarimg').click(function(event) {
    $('#fotomodal').modal('show');

    if(navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
        navigator.mediaDevices.getUserMedia({ video: true }).then(function(stream) {
            video.srcObject = stream;
            video.play();
            $("#fotomodal").on("hide.bs.modal", function () {
                stream.getTracks().forEach(track => track.stop())
            });
        });
    }
});
$('.updateimg').click(function(event) {
    $('#fotomodal').modal('show');
    if(navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
        navigator.mediaDevices.getUserMedia({ video: true }).then(function(stream) {
            video.srcObject = stream;
            video.play();
            $("#fotomodal").on("hide.bs.modal", function () {
                stream.getTracks().forEach(track => track.stop())
            });
        });
    }
});

/*evento al hacer click en el boton snap de tomar foto*/
document.getElementById("snap").addEventListener("click", function() {
    context.drawImage(video, 0, 0, 640, 480);
    $('.box-1').hide(500);
    $('.box-2').show(500);
    var dataUrl = canvas.toDataURL("image/png"); 
    $('.col-imagenes').fadeIn(100);
    $('form').append('<input type="hidden" class="form-control" id="fotojpg" name="src_foto" value="'+dataUrl+'">');
});

/*Evento al hacer click para volver a  tomar imagen*/
document.getElementById("return").addEventListener("click", function() {
    $('.box-2').hide(500);
    $('.box-1').show(500);
    $('#fotojpg').remove();
    $('.col-imagenes').remove(100);
});
/*Fin de  funciones para camara web*/
/*---------------------------------*/

/*Evento al hacer click para volver a  tomar imagen*/
document.getElementById("btn-retoma").addEventListener("click", function() {
    $('.box-1').show(500);
    $('.box-3').hide(500);
    $('#fotojpg').remove();
});
/*Fin de  funciones para camara web*/
/*---------------------------------*/